<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new HeaderFooter.">
            <span class="description">Create a new HeaderFooter.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addImage" title="addImage ::Add header/footer image.">
            <span class="description">Add header/footer image.</span><pre>addImage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAlignWithMargins" title="getAlignWithMargins ::Get AlignWithMargins.">
            <span class="description">Get AlignWithMargins.</span><pre>getAlignWithMargins</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDifferentFirst" title="getDifferentFirst ::Get DifferentFirst.">
            <span class="description">Get DifferentFirst.</span><pre>getDifferentFirst</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDifferentOddEven" title="getDifferentOddEven ::Get DifferentOddEven.">
            <span class="description">Get DifferentOddEven.</span><pre>getDifferentOddEven</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEvenFooter" title="getEvenFooter ::Get EvenFooter.">
            <span class="description">Get EvenFooter.</span><pre>getEvenFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEvenHeader" title="getEvenHeader ::Get EvenHeader.">
            <span class="description">Get EvenHeader.</span><pre>getEvenHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFirstFooter" title="getFirstFooter ::Get FirstFooter.">
            <span class="description">Get FirstFooter.</span><pre>getFirstFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFirstHeader" title="getFirstHeader ::Get FirstHeader.">
            <span class="description">Get FirstHeader.</span><pre>getFirstHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getImages" title="getImages ::Get header/footer images.">
            <span class="description">Get header/footer images.</span><pre>getImages</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOddFooter" title="getOddFooter ::Get OddFooter.">
            <span class="description">Get OddFooter.</span><pre>getOddFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOddHeader" title="getOddHeader ::Get OddHeader.">
            <span class="description">Get OddHeader.</span><pre>getOddHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getScaleWithDocument" title="getScaleWithDocument ::Get ScaleWithDocument.">
            <span class="description">Get ScaleWithDocument.</span><pre>getScaleWithDocument</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_removeImage" title="removeImage ::Remove header/footer image.">
            <span class="description">Remove header/footer image.</span><pre>removeImage</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAlignWithMargins" title="setAlignWithMargins ::Set AlignWithMargins.">
            <span class="description">Set AlignWithMargins.</span><pre>setAlignWithMargins</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDifferentFirst" title="setDifferentFirst ::Set DifferentFirst.">
            <span class="description">Set DifferentFirst.</span><pre>setDifferentFirst</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDifferentOddEven" title="setDifferentOddEven ::Set DifferentOddEven.">
            <span class="description">Set DifferentOddEven.</span><pre>setDifferentOddEven</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEvenFooter" title="setEvenFooter ::Set EvenFooter.">
            <span class="description">Set EvenFooter.</span><pre>setEvenFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEvenHeader" title="setEvenHeader ::Set EvenHeader.">
            <span class="description">Set EvenHeader.</span><pre>setEvenHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFirstFooter" title="setFirstFooter ::Set FirstFooter.">
            <span class="description">Set FirstFooter.</span><pre>setFirstFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFirstHeader" title="setFirstHeader ::Set FirstHeader.">
            <span class="description">Set FirstHeader.</span><pre>setFirstHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setImages" title="setImages ::Set header/footer images.">
            <span class="description">Set header/footer images.</span><pre>setImages</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOddFooter" title="setOddFooter ::Set OddFooter.">
            <span class="description">Set OddFooter.</span><pre>setOddFooter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setOddHeader" title="setOddHeader ::Set OddHeader.">
            <span class="description">Set OddHeader.</span><pre>setOddHeader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setScaleWithDocument" title="setScaleWithDocument ::Set ScaleWithDocument.">
            <span class="description">Set ScaleWithDocument.</span><pre>setScaleWithDocument</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_IMAGE_FOOTER_CENTER" title="IMAGE_FOOTER_CENTER ::">
                        <span class="description"></span><pre>IMAGE_FOOTER_CENTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_IMAGE_FOOTER_LEFT" title="IMAGE_FOOTER_LEFT ::">
                        <span class="description"></span><pre>IMAGE_FOOTER_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_IMAGE_FOOTER_RIGHT" title="IMAGE_FOOTER_RIGHT ::">
                        <span class="description"></span><pre>IMAGE_FOOTER_RIGHT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_IMAGE_HEADER_CENTER" title="IMAGE_HEADER_CENTER ::">
                        <span class="description"></span><pre>IMAGE_HEADER_CENTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_IMAGE_HEADER_LEFT" title="IMAGE_HEADER_LEFT ::">
                        <span class="description"></span><pre>IMAGE_HEADER_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_IMAGE_HEADER_RIGHT" title="IMAGE_HEADER_RIGHT ::">
                        <span class="description"></span><pre>IMAGE_HEADER_RIGHT</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>HeaderFooter</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">&lt;code&gt;
Header/Footer Formatting Syntax taken from Office Open XML Part 4 - Markup Language Reference, page 1970:.</p>
                <div class="details">
                    <div class="long_description"><p>There are a number of formatting codes that can be written inline with the actual header / footer text, which
affect the formatting in the header or footer.</p>
<p>Example: This example shows the text &quot;Center Bold Header&quot; on the first line (center section), and the date on
the second line (center section).
&amp;CCenter &amp;&quot;-,Bold&quot;Bold&amp;&quot;-,Regular&quot;Header<em>x000A</em>&amp;D</p>
<p>General Rules:
There is no required order in which these codes must appear.</p>
<p>The first occurrence of the following codes turns the formatting ON, the second occurrence turns it OFF again:</p>
<ul>
<li>strikethrough</li>
<li>superscript</li>
<li>subscript
Superscript and subscript cannot both be ON at same time. Whichever comes first wins and the other is ignored,
while the first is ON.
&amp;L - code for &quot;left section&quot; (there are three header / footer locations, &quot;left&quot;, &quot;center&quot;, and &quot;right&quot;). When
two or more occurrences of this section marker exist, the contents from all markers are concatenated, in the
order of appearance, and placed into the left section.
&amp;P - code for &quot;current page #&quot;
&amp;N - code for &quot;total pages&quot;
&amp;font size - code for &quot;text font size&quot;, where font size is a font size in points.
&amp;K - code for &quot;text font color&quot;
RGB Color is specified as RRGGBB
Theme Color is specifed as TTSNN where TT is the theme color Id, S is either &quot;+&quot; or &quot;-&quot; of the tint/shade
value, NN is the tint/shade value.
&amp;S - code for &quot;text strikethrough&quot; on / off
&amp;X - code for &quot;text super script&quot; on / off
&amp;Y - code for &quot;text subscript&quot; on / off
&amp;C - code for &quot;center section&quot;. When two or more occurrences of this section marker exist, the contents
from all markers are concatenated, in the order of appearance, and placed into the center section.</li>
</ul>
<p>&amp;D - code for &quot;date&quot;
&amp;T - code for &quot;time&quot;
&amp;G - code for &quot;picture as background&quot;
&amp;U - code for &quot;text single underline&quot;
&amp;E - code for &quot;double underline&quot;
&amp;R - code for &quot;right section&quot;. When two or more occurrences of this section marker exist, the contents
from all markers are concatenated, in the order of appearance, and placed into the right section.
&amp;Z - code for &quot;this workbook's file path&quot;
&amp;F - code for &quot;this workbook's file name&quot;
&amp;A - code for &quot;sheet tab name&quot;
&amp;+ - code for add to page #.
&amp;- - code for subtract from page #.
&amp;&quot;font name,font type&quot; - code for &quot;text font name&quot; and &quot;text font type&quot;, where font name and font type
are strings specifying the name and type of the font, separated by a comma. When a hyphen appears in font
name, it means &quot;none specified&quot;. Both of font name and font type can be localized values.
&amp;&quot;-,Bold&quot; - code for &quot;bold font style&quot;
&amp;B - also means &quot;bold font style&quot;.
&amp;&quot;-,Regular&quot; - code for &quot;regular font style&quot;
&amp;&quot;-,Italic&quot; - code for &quot;italic font style&quot;
&amp;I - also means &quot;italic font style&quot;
&amp;&quot;-,Bold Italic&quot; code for &quot;bold italic font style&quot;
&amp;O - code for &quot;outline style&quot;
&amp;H - code for &quot;shadow style&quot;
</code></p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new HeaderFooter.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_addImage"></a>
                        <div class="element clickable methodpublic method_addImage" data-toggle="collapse" data-target=".method_addImage .collapse">
                            <h2>Add header/footer image.</h2>
                            <pre>addImage(\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing $image,string $location = self::IMAGE_HEADER_LEFT): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$image</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$location</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAlignWithMargins"></a>
                        <div class="element clickable methodpublic method_getAlignWithMargins" data-toggle="collapse" data-target=".method_getAlignWithMargins .collapse">
                            <h2>Get AlignWithMargins.</h2>
                            <pre>getAlignWithMargins(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDifferentFirst"></a>
                        <div class="element clickable methodpublic method_getDifferentFirst" data-toggle="collapse" data-target=".method_getDifferentFirst .collapse">
                            <h2>Get DifferentFirst.</h2>
                            <pre>getDifferentFirst(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDifferentOddEven"></a>
                        <div class="element clickable methodpublic method_getDifferentOddEven" data-toggle="collapse" data-target=".method_getDifferentOddEven .collapse">
                            <h2>Get DifferentOddEven.</h2>
                            <pre>getDifferentOddEven(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEvenFooter"></a>
                        <div class="element clickable methodpublic method_getEvenFooter" data-toggle="collapse" data-target=".method_getEvenFooter .collapse">
                            <h2>Get EvenFooter.</h2>
                            <pre>getEvenFooter(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEvenHeader"></a>
                        <div class="element clickable methodpublic method_getEvenHeader" data-toggle="collapse" data-target=".method_getEvenHeader .collapse">
                            <h2>Get EvenHeader.</h2>
                            <pre>getEvenHeader(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFirstFooter"></a>
                        <div class="element clickable methodpublic method_getFirstFooter" data-toggle="collapse" data-target=".method_getFirstFooter .collapse">
                            <h2>Get FirstFooter.</h2>
                            <pre>getFirstFooter(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFirstHeader"></a>
                        <div class="element clickable methodpublic method_getFirstHeader" data-toggle="collapse" data-target=".method_getFirstHeader .collapse">
                            <h2>Get FirstHeader.</h2>
                            <pre>getFirstHeader(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getImages"></a>
                        <div class="element clickable methodpublic method_getImages" data-toggle="collapse" data-target=".method_getImages .collapse">
                            <h2>Get header/footer images.</h2>
                            <pre>getImages(): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing</a>&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOddFooter"></a>
                        <div class="element clickable methodpublic method_getOddFooter" data-toggle="collapse" data-target=".method_getOddFooter .collapse">
                            <h2>Get OddFooter.</h2>
                            <pre>getOddFooter(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOddHeader"></a>
                        <div class="element clickable methodpublic method_getOddHeader" data-toggle="collapse" data-target=".method_getOddHeader .collapse">
                            <h2>Get OddHeader.</h2>
                            <pre>getOddHeader(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getScaleWithDocument"></a>
                        <div class="element clickable methodpublic method_getScaleWithDocument" data-toggle="collapse" data-target=".method_getScaleWithDocument .collapse">
                            <h2>Get ScaleWithDocument.</h2>
                            <pre>getScaleWithDocument(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_removeImage"></a>
                        <div class="element clickable methodpublic method_removeImage" data-toggle="collapse" data-target=".method_removeImage .collapse">
                            <h2>Remove header/footer image.</h2>
                            <pre>removeImage(string $location = self::IMAGE_HEADER_LEFT): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$location</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAlignWithMargins"></a>
                        <div class="element clickable methodpublic method_setAlignWithMargins" data-toggle="collapse" data-target=".method_setAlignWithMargins .collapse">
                            <h2>Set AlignWithMargins.</h2>
                            <pre>setAlignWithMargins(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDifferentFirst"></a>
                        <div class="element clickable methodpublic method_setDifferentFirst" data-toggle="collapse" data-target=".method_setDifferentFirst .collapse">
                            <h2>Set DifferentFirst.</h2>
                            <pre>setDifferentFirst(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDifferentOddEven"></a>
                        <div class="element clickable methodpublic method_setDifferentOddEven" data-toggle="collapse" data-target=".method_setDifferentOddEven .collapse">
                            <h2>Set DifferentOddEven.</h2>
                            <pre>setDifferentOddEven(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEvenFooter"></a>
                        <div class="element clickable methodpublic method_setEvenFooter" data-toggle="collapse" data-target=".method_setEvenFooter .collapse">
                            <h2>Set EvenFooter.</h2>
                            <pre>setEvenFooter(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEvenHeader"></a>
                        <div class="element clickable methodpublic method_setEvenHeader" data-toggle="collapse" data-target=".method_setEvenHeader .collapse">
                            <h2>Set EvenHeader.</h2>
                            <pre>setEvenHeader(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFirstFooter"></a>
                        <div class="element clickable methodpublic method_setFirstFooter" data-toggle="collapse" data-target=".method_setFirstFooter .collapse">
                            <h2>Set FirstFooter.</h2>
                            <pre>setFirstFooter(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setFirstHeader"></a>
                        <div class="element clickable methodpublic method_setFirstHeader" data-toggle="collapse" data-target=".method_setFirstHeader .collapse">
                            <h2>Set FirstHeader.</h2>
                            <pre>setFirstHeader(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setImages"></a>
                        <div class="element clickable methodpublic method_setImages" data-toggle="collapse" data-target=".method_setImages .collapse">
                            <h2>Set header/footer images.</h2>
                            <pre>setImages(array&lt;mixed,\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing&gt; $images): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$images</h4>
                                                <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing</a>&gt;</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOddFooter"></a>
                        <div class="element clickable methodpublic method_setOddFooter" data-toggle="collapse" data-target=".method_setOddFooter .collapse">
                            <h2>Set OddFooter.</h2>
                            <pre>setOddFooter(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setOddHeader"></a>
                        <div class="element clickable methodpublic method_setOddHeader" data-toggle="collapse" data-target=".method_setOddHeader .collapse">
                            <h2>Set OddHeader.</h2>
                            <pre>setOddHeader(string $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setScaleWithDocument"></a>
                        <div class="element clickable methodpublic method_setScaleWithDocument" data-toggle="collapse" data-target=".method_setScaleWithDocument .collapse">
                            <h2>Set ScaleWithDocument.</h2>
                            <pre>setScaleWithDocument(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_IMAGE_HEADER_LEFT"> </a>
                            <div class="element clickable constant constant_IMAGE_HEADER_LEFT" data-toggle="collapse" data-target=".constant_IMAGE_HEADER_LEFT .collapse">
                                <h2>IMAGE_HEADER_LEFT</h2>
                                <pre>IMAGE_HEADER_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_IMAGE_HEADER_CENTER"> </a>
                            <div class="element clickable constant constant_IMAGE_HEADER_CENTER" data-toggle="collapse" data-target=".constant_IMAGE_HEADER_CENTER .collapse">
                                <h2>IMAGE_HEADER_CENTER</h2>
                                <pre>IMAGE_HEADER_CENTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_IMAGE_HEADER_RIGHT"> </a>
                            <div class="element clickable constant constant_IMAGE_HEADER_RIGHT" data-toggle="collapse" data-target=".constant_IMAGE_HEADER_RIGHT .collapse">
                                <h2>IMAGE_HEADER_RIGHT</h2>
                                <pre>IMAGE_HEADER_RIGHT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_IMAGE_FOOTER_LEFT"> </a>
                            <div class="element clickable constant constant_IMAGE_FOOTER_LEFT" data-toggle="collapse" data-target=".constant_IMAGE_FOOTER_LEFT .collapse">
                                <h2>IMAGE_FOOTER_LEFT</h2>
                                <pre>IMAGE_FOOTER_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_IMAGE_FOOTER_CENTER"> </a>
                            <div class="element clickable constant constant_IMAGE_FOOTER_CENTER" data-toggle="collapse" data-target=".constant_IMAGE_FOOTER_CENTER .collapse">
                                <h2>IMAGE_FOOTER_CENTER</h2>
                                <pre>IMAGE_FOOTER_CENTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_IMAGE_FOOTER_RIGHT"> </a>
                            <div class="element clickable constant constant_IMAGE_FOOTER_RIGHT" data-toggle="collapse" data-target=".constant_IMAGE_FOOTER_RIGHT .collapse">
                                <h2>IMAGE_FOOTER_RIGHT</h2>
                                <pre>IMAGE_FOOTER_RIGHT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_oddHeader"> </a>
                            <div class="element clickable propertyprivate property_oddHeader" data-toggle="collapse" data-target=".property_oddHeader .collapse">
                                <h2>OddHeader.</h2>
                                <pre>oddHeader :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_oddFooter"> </a>
                            <div class="element clickable propertyprivate property_oddFooter" data-toggle="collapse" data-target=".property_oddFooter .collapse">
                                <h2>OddFooter.</h2>
                                <pre>oddFooter :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_evenHeader"> </a>
                            <div class="element clickable propertyprivate property_evenHeader" data-toggle="collapse" data-target=".property_evenHeader .collapse">
                                <h2>EvenHeader.</h2>
                                <pre>evenHeader :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_evenFooter"> </a>
                            <div class="element clickable propertyprivate property_evenFooter" data-toggle="collapse" data-target=".property_evenFooter .collapse">
                                <h2>EvenFooter.</h2>
                                <pre>evenFooter :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_firstHeader"> </a>
                            <div class="element clickable propertyprivate property_firstHeader" data-toggle="collapse" data-target=".property_firstHeader .collapse">
                                <h2>FirstHeader.</h2>
                                <pre>firstHeader :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_firstFooter"> </a>
                            <div class="element clickable propertyprivate property_firstFooter" data-toggle="collapse" data-target=".property_firstFooter .collapse">
                                <h2>FirstFooter.</h2>
                                <pre>firstFooter :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_differentOddEven"> </a>
                            <div class="element clickable propertyprivate property_differentOddEven" data-toggle="collapse" data-target=".property_differentOddEven .collapse">
                                <h2>Different header for Odd/Even, defaults to false.</h2>
                                <pre>differentOddEven :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_differentFirst"> </a>
                            <div class="element clickable propertyprivate property_differentFirst" data-toggle="collapse" data-target=".property_differentFirst .collapse">
                                <h2>Different header for first page, defaults to false.</h2>
                                <pre>differentFirst :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_scaleWithDocument"> </a>
                            <div class="element clickable propertyprivate property_scaleWithDocument" data-toggle="collapse" data-target=".property_scaleWithDocument .collapse">
                                <h2>Scale with document, defaults to true.</h2>
                                <pre>scaleWithDocument :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_alignWithMargins"> </a>
                            <div class="element clickable propertyprivate property_alignWithMargins" data-toggle="collapse" data-target=".property_alignWithMargins .collapse">
                                <h2>Align with margins, defaults to true.</h2>
                                <pre>alignWithMargins :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_headerFooterImages"> </a>
                            <div class="element clickable propertyprivate property_headerFooterImages" data-toggle="collapse" data-target=".property_headerFooterImages .collapse">
                                <h2>Header/footer images.</h2>
                                <pre>headerFooterImages :array&lt;mixed,\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooterDrawing.html">\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooterDrawing</a>&gt;</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\HeaderFooter"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.html">Worksheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.HeaderFooter.html">HeaderFooter</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:51 +0000.<br/>
    </footer></body>
</html>
